Loading...
Searching...
No Matches
matrix44.h File Reference
`#include <BALL/COMMON/exception.h>`
`#include <cmath>`
`#include <iostream>`
`#include <cstdlib>`
`#include <BALL/MATHS/angle.h>`
`#include <BALL/MATHS/vector3.h>`
`#include <BALL/MATHS/vector4.h>`

Go to the source code of this file.

## Classes

class | BALL::TMatrix4x4< T >
| Default Type. More...

## Namespaces

namespace | BALL

## Storers

typedef TMatrix4x4< float > | BALL::Matrix4x4
template<typename T>
std::istream & | BALL::operator>> (std::istream &s, TMatrix4x4< T > &m)
template<typename T>
std::ostream & | BALL::operator<< (std::ostream &s, const TMatrix4x4< T > &m)
template<typename T>
TMatrix4x4< T > | BALL::operator* (const T &scalar, const TMatrix4x4< T > &m)
template<typename T>
TVector3< T > | BALL::operator* (const TMatrix4x4< T > &matrix, const TVector3< T > &vector)